Page MenuHomePhabricator

Create an event setup wizard for Programs & Events Dashboard
Closed, ResolvedPublic

Description

Programs & Events Dashboard is a web app for organizing and tracking newcomer-focused events for Wikipedia and other Wikimedia projects. Users can set up an event, list the users who are participating, and keep track of the edits everyone makes between the start and end of the event. However, there are a wide variety of events that people need to track, from Edit-A-Thons to photo contribution drives to Wikipedia Education Program classes in schools and universities. The Dashboard has the flexibility to handle many different types of events, but it can be confusing to know how to configure an event to get the right features and contribution tracking.

The focus of this project is to make it easy for users to set up an event with exactly the settings they need, by creating an interface that walks through all the main options and describes what they do and what they are for — a setup wizard for configuring an event.

The Dashboard is built with a React frontend and a Ruby on Rails backend, and the majority of this project will be focused adding new features in React.

For more details on how to get involved, please see the Outreachy listing:

https://www.outreachy.org/december-2018-march-2019-outreachy-internships/communities/wikimedia/#create-an-event-setup-wizard-for-programs-events-d

Event Timeline

Ragesoss created this task.Sep 12 2018, 8:55 PM
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptSep 12 2018, 8:55 PM
This comment was removed by Yasasia.

Hi! I am an Outreachy applicant and I am interested in contributing to this project.
I am a final year Computer Science and Engineering undergraduate and I have about 5 years of experience in programming. I have experiences with Java, Python, C, C++ and web development with HTML, CSS, JavaScript, PHP. I have also done projects on Machine Learning, Natural Language Processing and Data Mining. And I am a fast learner and always keen to learn new technologies.
I would like to know where and how to get started with the implementation.
Thank you!

@Yasasia hi! Please send me an email to sage@wikiedu.org and I'll send you an invite to our development channel for this project on Slack.

@Ragesoss Okay. I'll send an email.

Paarmita added a subscriber: Paarmita.EditedSep 23 2018, 7:53 PM

@Ragesoss I'm also an Outreachy aspirant would like to contribute to this project.
I'm familiar with reactJS and ruby.
I have sent u the email as well.

This message is for all candidates interested in working on this project for Outreachy. Please make sure that before you start working on this project, you've filled out an initial application to help Outreachy organizers verify whether or not you are eligible to participate in the program: https://www.outreachy.org/eligibility/. It should only take you 5 minutes to 30 minutes to complete.

Once you've submitted your initial application, it may take up to a week for Outreachy organizers to review your application and make a decision. Once you are approved, you can start working on the microtasks. In the meanwhile, read our participants guide https://www.mediawiki.org/wiki/Outreachy/Participants and learn about the Wikimedia movement https://www.wikimedia.org/.

@Ragesoss Is there anything remaining in this task from Outreachy Round 17? If not, then please consider marking it as resolved!

Ragesoss closed this task as Resolved.Apr 18 2019, 1:46 AM
Ragesoss claimed this task.